/**
 * description
 *
 * @author eson
 *2022年7月15日-10:04:00
 */
package com.yuandian.dataflow.statemachine.state;

import java.io.Serializable;
import java.time.Instant;

import com.alipay.sofa.jraft.entity.PeerId;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * description
 *
 * @author eson
 *2022年7月15日-10:04:00
 */
@Getter
@Setter
@ToString
public class WorkerState implements Serializable {
 
    private static final long serialVersionUID = -1L;
 
    /**
     * 节点的对应peerID
     */
    public PeerId peerId;
    /**
     * 任务队列的数量
     */
    public long taskQueueSize;
    /**
     * 更新时间 
     */
    public Instant updateAt;

    public WorkerState(PeerId pid) {
        this.peerId = pid;
    }
}
